module Main where

import Prelude (bind, ($), (=<<), discard, Unit)
import Control.Monad.Eff (Eff)
import Control.Monad.Eff.Console (CONSOLE, log)
import Control.Monad.Eff.JQuery (JQuery, display, hide, on, ready, select)

import DOM (DOM)
import Network.HTTP.Affjax (AJAX)

import Login (onLoginClick)
import Activate (onActivateClick)

main :: forall eff.
  Eff
    ( dom :: DOM
    , ajax :: AJAX
    , console :: CONSOLE
    | eff
    )
    Unit
main =
  ready $ do
    log "let's go"
    display =<< select ".js-hidden"
    hide =<< select ".noscript"
    activate <- select "#activate"
    login <- select "#login"
    on "click" (onActivateClick activate) activate
    on "click" (onLoginClick activate) login
